<!-- 
 * Licensed Materials - Property of IBM
 * com.ibm.datatools.xquery.ui
 * (C) Copyright IBM Corporation 2005. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 *   Use, duplication or disclosure restricted 
 *   by GSA ADP Schedule Contract with IBM Corp.
 */
-->
<xsl:stylesheet version="1.0" xmlns="http://www.w3.org/TR/REC-html40" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output indent="yes" method="xml" omit-xml-declaration="yes"/>
	
	<xsl:variable name="returnpath" select="/ibmxquerybuilderexpression/return/value/@path"/>
	
	
	<xsl:template match="/query/body">
		<xsl:element name="body" namespace="">
			<xsl:call-template name="dochildren">
				<xsl:with-param name="path">/query/body</xsl:with-param>
				<xsl:with-param name="parentpath">/query/body</xsl:with-param>
				<xsl:with-param name="abspath">/query/body</xsl:with-param>
				<xsl:with-param name="parentabspath">/query/body</xsl:with-param>
				<xsl:with-param name="level">0</xsl:with-param>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="dochildren">
		<xsl:param name="path"/>
		<xsl:param name="parentpath"/>
		<xsl:param name="abspath"/>
		<xsl:param name="parentabspath"/>
		<xsl:param name="level"/>
		<xsl:for-each select="*">
			<xsl:choose>
				<xsl:when test="local-name()=&apos;xpath&apos;">
					<xsl:element name="xpath" namespace="">
						<xsl:attribute name="level" namespace="">
							<xsl:value-of select="$level"/>
						</xsl:attribute>
						<xsl:attribute name="modelpath" namespace="">
							<xsl:value-of select="$parentpath"/>
						</xsl:attribute>
						<xsl:attribute name="modelabspath" namespace="">
							<xsl:value-of select="$abspath"/>
						</xsl:attribute>
						<xsl:attribute name="parentabspath" namespace="">
							<xsl:value-of select="$parentabspath"/>
						</xsl:attribute>
						<xsl:attribute name="variablename" namespace="">
							<xsl:value-of select="../@name"/>
						</xsl:attribute>
						<xsl:attribute name="variabletype" namespace="">
							<xsl:value-of select="../@type"/>
						</xsl:attribute>
						<xsl:attribute name="fullpath" namespace="">
							<xsl:value-of select="@fullpath"/>
						</xsl:attribute>
						<xsl:attribute name="namespace" namespace="">
							<xsl:value-of select="@namespace"/>
						</xsl:attribute>
						<xsl:attribute name="prefix" namespace="">
							<xsl:value-of select="@prefix"/>
						</xsl:attribute>
						<xsl:attribute name="uri" namespace="">
							<xsl:value-of select="@uri"/>
						</xsl:attribute>
						<xsl:attribute name="nodetype" namespace="">
							<xsl:value-of select="@type"/>
						</xsl:attribute>
						<xsl:attribute name="relativepath" namespace=""/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="dochildren">
						<xsl:with-param name="path">
							<xsl:value-of select="$path"/>/<xsl:value-of select="local-name()"/>
						</xsl:with-param>
						<xsl:with-param name="parentpath">
							<xsl:value-of select="$path"/>
						</xsl:with-param>
						<xsl:with-param name="abspath">
							<xsl:value-of select="$abspath"/>/*[<xsl:value-of select="position()"/>]						</xsl:with-param>
						<xsl:with-param name="parentabspath">
							<xsl:value-of select="$abspath"/>
						</xsl:with-param>
						<xsl:with-param name="level">
							<xsl:value-of select="number($level +1)"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
